> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch fungible token transfers

> Provides transfer history for a single wallet

export const SupportedChainsList = props => {
  const [data, setData] = useState(null);
  const [isLoading, setIsLoading] = useState(true);
  useEffect(() => {
    const fetchData = async () => {
      try {
        const response = await fetch("https://api.allium.so/api/v1/supported-chains/realtime-apis", {
          method: "GET"
        });
        if (!response.ok) {
          throw new Error(`HTTP error! status: ${response.status}`);
        }
        const responseData = await response.json();
        const filteredData = responseData.filter(entry => {
          const product = entry.endpoints[props.product_name];
          return product !== null;
        });
        setData(filteredData);
        setIsLoading(false);
      } catch (error) {
        setIsLoading(false);
      }
    };
    fetchData();
  }, []);
  if (isLoading) {
    return <div>Loading chain information...</div>;
  }
  if (!data) {
    return <div>No data available</div>;
  }
  const isCustomSQL = props.product_name === "custom_sql";
  return <div>
            {data.length > 0 && <table className="w-full">
                    <thead>
                        <tr>
                            <th>Chain</th>
                            <th>Chain ID</th>
                            <th>Status</th>
                            {isCustomSQL && <th>Tables</th>}
                        </tr>
                    </thead>
                    <tbody>
                        {data.map(chain => {
    const endpoint = chain.endpoints[props.product_name];
    return <tr key={chain.id}>
                                    <td style={{
      padding: '12px'
    }}>{chain.label}</td>
                                    <td style={{
      padding: '12px'
    }}><code>{chain.id}</code></td>
                                    <td style={{
      padding: '12px'
    }}>{endpoint ? endpoint.availability === "beta" ? "🌱 Beta" : "✅ Supported" : "❌ Not Supported"}</td>
                                    {isCustomSQL && <td style={{
      padding: '12px'
    }}>
                                            {endpoint && endpoint.tables ? endpoint.tables.map(t => t.name).join(", ") : "-"}
                                        </td>}
                                </tr>;
  })}
                    </tbody>
                </table>}
        </div>;
};

**Supported Chains**

<SupportedChainsList product_name="token_transfers" />


## OpenAPI

````yaml /_openapi/tokens-api.json GET /api/v1/developer/tokens/transfers
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/developer/tokens/transfers:
    get:
      tags:
        - TOKENS
        - DEVELOPER
      summary: Transfers
      description: Provides transfer history for a single wallet
      operationId: get_wallet_transfers_api_v1_developer_tokens_transfers_get
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            description: Chain to get transfers for.
            title: Chain
          description: Chain to get transfers for.
        - name: address
          in: query
          required: false
          schema:
            description: Address to get transfers for.
            title: Address
            type: string
          description: Address to get transfers for.
        - name: cursor
          in: query
          required: false
          schema:
            description: Cursor to paginate results.
            title: Cursor
            type: string
          description: Cursor to paginate results.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Limit the number of items in the response. Default is 15.
            default: 15
            title: Limit
          description: Limit the number of items in the response. Default is 15.
        - name: token
          in: query
          required: false
          schema:
            description: Exclude transfers for other tokens
            title: Token
            type: string
          description: Exclude transfers for other tokens
        - name: transfer_type
          in: query
          required: false
          schema:
            enum:
              - sent
              - received
              - any
            type: string
            description: >-
              Direction of the transfer. Defaults to 'any'. Can only be
              specified when using the address filter
            default: any
            title: Transfer Type
          description: >-
            Direction of the transfer. Defaults to 'any'. Can only be specified
            when using the address filter
        - name: min_timestamp
          in: query
          required: false
          schema:
            description: Exclude transfers before this time
            title: Min Timestamp
            type: string
          description: Exclude transfers before this time
        - name: max_timestamp
          in: query
          required: false
          schema:
            description: Exclude transfers after this time
            title: Max Timestamp
            type: string
          description: Exclude transfers after this time
        - name: direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: Direction to sort by
            default: desc
            title: Direction
          description: Direction to sort by
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletTransfersEnvelope'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    WalletTransfersEnvelope:
      properties:
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/SolanaTransfer'
              type: array
            - items:
                $ref: >-
                  #/components/schemas/api_server__app__services__transfers__evm__EVMTransfer
              type: array
          title: Items
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
      type: object
      required:
        - items
        - cursor
      title: WalletTransfersEnvelope
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SolanaTransfer:
      properties:
        block_slot:
          type: integer
          title: Block Slot
        block_height:
          type: integer
          title: Block Height
        block_timestamp:
          type: string
          format: date-time
          title: Block Timestamp
        block_hash:
          type: string
          title: Block Hash
        txn_id:
          type: string
          title: Txn Id
        txn_index:
          type: integer
          title: Txn Index
        instruction_index:
          type: integer
          title: Instruction Index
        inner_instruction_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Inner Instruction Index
        from_account:
          type: string
          title: From Account
        to_account:
          type: string
          title: To Account
        from_token_account:
          anyOf:
            - type: string
            - type: 'null'
          title: From Token Account
        to_token_account:
          anyOf:
            - type: string
            - type: 'null'
          title: To Token Account
        mint:
          type: string
          title: Mint
        value:
          type: integer
          title: Value
        decimals:
          type: integer
          title: Decimals
        signer:
          type: string
          title: Signer
      type: object
      required:
        - block_slot
        - block_height
        - block_timestamp
        - block_hash
        - txn_id
        - txn_index
        - instruction_index
        - inner_instruction_index
        - from_account
        - to_account
        - from_token_account
        - to_token_account
        - mint
        - value
        - decimals
        - signer
      title: SolanaTransfer
    api_server__app__services__transfers__evm__EVMTransfer:
      properties:
        caller:
          anyOf:
            - type: string
            - type: 'null'
          title: Caller
          description: >-
            Address that initiated the transfer/called the transfer/transferFrom
            method.
        token_address:
          type: string
          title: Token Address
        value:
          type: integer
          title: Value
        value_str:
          type: string
          title: Value Str
        from_address:
          type: string
          title: From Address
        to_address:
          anyOf:
            - type: string
            - type: 'null'
          title: To Address
        transaction_hash:
          type: string
          title: Transaction Hash
        log_index:
          type: integer
          title: Log Index
        block_timestamp:
          type: string
          format: date-time
          title: Block Timestamp
        block_number:
          type: integer
          title: Block Number
        block_hash:
          type: string
          title: Block Hash
        transaction_index:
          type: integer
          title: Transaction Index
      type: object
      required:
        - token_address
        - value
        - value_str
        - from_address
        - to_address
        - transaction_hash
        - log_index
        - block_timestamp
        - block_number
        - block_hash
        - transaction_index
      title: EVMTransfer
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````